<?php

//En linux 
$salto_linea = "\n"; //variable global para manejo del salto de linea
//En windows 
$salto_linea = "\r\n"; //variable global para manejo del salto de linea

/*
 * titulo
 */
$titulo = "XML_" . $nombre_reporte . "_" . date("Y") . date("m") . date("d");

/*
 * XML
 */
if ($type == "xml") {

    $shtml = '';


    $scarpeta = "uploads"; //carpeta donde guardar el archivo.

    $sfile = $scarpeta . "/tmp/" . $titulo . ".xml"; //ruta del archivo a generar
    $fp = fopen($sfile, "w");
    $sep = ","; //variable global para manejo del separador - se obtiene de variables del modulo en la configuracion en app.yml
//    $shtml = $sep . "\n";
//    $shtml.= $sep . $titulo . $sep . "\n";
//    $shtml.= $sep . "\n";


    /*
     * imprimir cabecera
     */
    foreach ($array_head as $key => $value) {
//        $shtml.= $value . $sep;
    }
    //salto de linea para separar totales
//    $shtml.="\n";

    $shtml .= '<?xml version="1.0" encoding="ISO-8859-1"?>';
    $shtml .= $salto_linea;
    $shtml .= '<siifepg:datosConversion';
    $shtml .= $salto_linea;
    $shtml .= 'xsi:schemaLocation="http://www.minhacienda.gov.co/mhcp/cargaxml/siifnacion/epg EPG013_ConversionRegistros.xsd" ';
    $shtml .= $salto_linea;
    $shtml .= 'xmlns:siifepg="http://www.minhacienda.gov.co/mhcp/cargaxml/siifnacion/epg" ';
    $shtml .= $salto_linea;
    $shtml .= 'xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" >';
    $shtml .= $salto_linea;

    /*
     * recorrer arreglo de datos y convertir en csv
     */
    $i = 0;
    $j = 0;
    foreach ($list_data as $rec) {

        $shtml .= '	<datosPorTercero>';
        $shtml .= $salto_linea;

        foreach ($rec as $key => $value) {

            $shtml .= '		<' . $key . '>' . $value . '</' . $key . '>';
            $shtml .= $salto_linea;
        }

        $shtml .= '	</datosPorTercero>';
//        $this->logMessage("Linea: " . $i++);
        //salto de linea para separar totales
        $shtml .= $salto_linea;
        $j = 0;
    }

    /**
     * Fin XML
     */
    $shtml .= '</siifepg:datosConversion>';

    /*
     * guardar y cerrar archivo
     */
//    $shtml.= $salto_linea;
    fwrite($fp, $shtml);
    fclose($fp);

    /*
     * salida xml
     */
    /* echo "<script>
      window.location='" . "/nomina/web/" . $sfile . "'</script>";
      die(); */
    /* # Algunos encabezados que son justamente los que fuerzan la descarga
      header('Content-Type: application/octet-stream');
      header("Content-Transfer-Encoding: Binary");
      header("Content-disposition: attachment; filename=$titulo.xml");
      # Leer el archivo y sacarlo al navegador
      readfile("/nomina/web/" . $sfile . ".xml"); */
    header('Content-Description: File Transfer');
    header('Content-Type: text/csv');
    header('Content-Disposition: attachment; filename=' . basename($titulo . ".xml"));
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    header('Content-Length: ' . filesize($sfile));
    ob_clean();
    flush();
    readfile($sfile);
    exit;
}//fin XML

/*
 * Error
 */
echo "Ocurrio algun problema: " . $type;
?>

